Delete Presentation
curl --request DELETE \
--url https://slides-api.getalai.com/api/v1/presentations/{presentation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://slides-api.getalai.com/api/v1/presentations/{presentation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://slides-api.getalai.com/api/v1/presentations/{presentation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"presentation_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Presentations
Delete Presentation
DELETE
/
api
/
v1
/
presentations
/
{presentation_id}
Delete Presentation
Delete a presentation and all its slides. This is a synchronous operation.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
presentation_id | string | ID of the presentation to delete |
Response
{
"success": true,
"presentation_id": "xyz789-..."
}
Example
curl -X DELETE "https://slides-api.getalai.com/api/v1/presentations/xyz789-..." \
-H "Authorization: Bearer YOUR_API_KEY"
Error Responses
| Status | Description |
|---|---|
| 401 | Invalid or missing API key |
| 404 | Presentation not found or access denied |
This permanently deletes the presentation and all its slides. This action cannot be undone.
Was this page helpful?
⌘I